import java.io.IOException;

import org.kwis.msp.lcdui.*;

public class AnchorCard extends Card {

	private static final String STR_VALUE = "ANCHOR_TEST";
	private static final String IMAGE_FILE = "anchor.bmp";
	
	private static final int X[] = {Graphics.LEFT, Graphics.RIGHT, Graphics.HCENTER};
	private static final int I_Y[] = {Graphics.TOP, Graphics.BOTTOM, Graphics.VCENTER};
	private static final int S_Y[] = {Graphics.TOP, Graphics.BOTTOM, Graphics.BASELINE};
	private static final String X_NAME[] = {"LEFT", "RIGHT", "HCENTER"};
	private static final String Y_NAME[] = {"TOP", "BOTTOM", "VCENTER/BASELINE"};
	Image img;
	String str;
	int drawX;		int drawY;
	int indexY;		int indexX;
	boolean isDrawImage;

	public AnchorCard(){
		try {
			img = Image.createImage(IMAGE_FILE);
		} catch (IOException e) {}
		str = STR_VALUE;
		drawX = getWidth()/2;
		drawY = getHeight()/2;
		isDrawImage = true;
		indexX = 0;			indexY = 0;	
	}

	protected void paint(Graphics g) {
		g.setColor(0xffffff);
		g.fillRect(0, 0, getWidth(), getHeight());
		if(isDrawImage) g.drawImage(img, drawX, drawY, X[indexX] | I_Y[indexY]);
		else g.drawString(str, drawX, drawY, X[indexX] | S_Y[indexY]);
		
		g.setColor(0xff0000);
		g.drawLine(drawX, 0, drawX, getHeight());
		g.drawLine(0, drawY, getWidth(), drawY);

		g.setColor(0x000000);
		g.drawString("X:"+X_NAME[indexX], 0, 5, Graphics.LEFT);		
		g.drawString("Y:"+Y_NAME[indexY], 0, 20, Graphics.LEFT);
	}
	
	protected boolean keyNotify(int type, int key){
		int gameKey = Display.getGameAction(key);
		if(type == EventQueue.KEY_PRESSED){
			switch(key){
				case EventQueue.UP:
					if(indexY == 0) indexY = I_Y.length;
					indexY--;
					break;
				case EventQueue.DOWN:
					indexY++;
					if(indexY == I_Y.length) indexY = 0;
					break;
				case EventQueue.LEFT:
					if(indexX == 0) indexX = X.length;
					indexX--;
					break;
				case EventQueue.RIGHT:
					indexX++;
					if(indexX == X.length) indexX = 0;
					break;
				case EventQueue.FIRE:
					isDrawImage = !isDrawImage;
					break;
			}
			repaint();
			return true;
		}
		return false;
	}

}
