import org.kwis.msp.lcdui.*;

public class EventTest extends Jlet {

	Display disp;
	EventCard1 card1;
	EventCard2 card2;
	

	protected void startApp(String[] arg0) {
		disp = Display.getDefaultDisplay();
		card1 = new EventCard1();
		card2 = new EventCard2(30, 30, 70, 70);
		disp.pushCard(card1);
	}

	protected void destroyApp(boolean arg0) {

	}
	
	public class EventCard1 extends Card {

		private int count1;

		public EventCard1(){
			super();
			count1 = 0;
		}

		protected void paint(Graphics g) {
			g.setColor(0x00ff00);
			g.fillRect(0, 0, getWidth(), getHeight());
			g.setColor(0x000000);
			g.drawString("count : " + count1, 0, 0, Graphics.LEFT);
		}

		protected boolean keyNotify(int type, int key){
			int gameKey = Display.getGameAction(key);
			if(type == EventQueue.KEY_PRESSED){
				switch(key){
					case EventQueue.FIRE:
						disp.pushCard(card2);
						break;
					case EventQueue.KEY_NUM1:
						count1++;
						break;
					case EventQueue.KEY_NUM2:
						count1++;
						break;
					case EventQueue.KEY_NUM3:
						count1++;
						break;
				}
				repaint();
				return true;
			}
			return false;
		}

	}

	public class EventCard2 extends Card {

		int count2;

		public EventCard2(int x, int y, int w, int h){
			super(x, y, w, h);
			count2 = 0;
		}

		protected void paint(Graphics g) {
			g.setColor(0xff0000);
			g.fillRect(0, 0, getWidth(), getHeight());
			g.setColor(0x000000);
			g.drawString("count : " + count2, 0, 0, Graphics.LEFT);
		}

		protected void showNotify(boolean isShow){
			if(isShow) System.out.println("card2 show Notify");
			else System.out.println("card2 hide Notify");
		}

		protected boolean keyNotify(int type, int key){
			int gameKey = Display.getGameAction(key);
			if(type == EventQueue.KEY_PRESSED){
				switch(key){
					case EventQueue.FIRE:
						disp.popCard();
						return true;
					case EventQueue.KEY_NUM1:
						count2++;
						repaint();
						return true;
					case EventQueue.KEY_NUM2:
						count2++;
						repaint();
						return false;
				}
			}
			return false;
		}

	}
	

}
