import java.io.IOException;
import org.kwis.msp.lcdui.*;

public class Graphics2Card extends Card {

	private int count;
	Image img;

	public Graphics2Card(){
		super();
		
		try {
			img = Image.createImage("anchor.png");
		} catch (IOException e) {
		}
		count = 0;
	}

	protected void paint(Graphics g) {
		g.setColor(0x000000);
		g.fillRect(0, 0, getWidth(), getHeight());
		
		switch(count%3){
			case 0:	// font check
				Font font = Font.getDefaultFont();
				g.setColor(0xffffff);
				g.drawString("Font", getWidth()/2, 5, Graphics.HCENTER);
				g.drawString("STYLE : " + font.getStyle(), 5, 30, Graphics.LEFT);
				g.drawString("SIZE : " + font.getSize(), 5, 45, Graphics.LEFT);
				g.drawString("FACE : " + font.getFace(), 5, 60, Graphics.LEFT);
				break;
			case 1: // graphics mode
				g.setColor(0xffffff);
				g.setStrokeStyle(Graphics.DOTTED);
				g.drawString("DOTTED", 5, 5, Graphics.LEFT);
				g.drawRect(5, 20, getWidth()-10, 20);
				g.setStrokeStyle(Graphics.SOLID);
				g.drawString("SOLID", 5, 55, Graphics.LEFT);
				g.drawRect(5, 70, getWidth()-10, 20);
				break;
			case 2:
				g.drawImage(img, 60, 10, Graphics.HCENTER | Graphics.TOP);			
				g.setXORMode(true);
				g.setColor(0xffffff);
				g.fillRect(0, 0, 60, 40);
				g.setColor(0x000000);
				g.fillRect(60, 0, 120, 40);
				g.setXORMode(false);
							
				g.drawImage(img, 60, 50, Graphics.HCENTER | Graphics.TOP);			
				g.setAlpha(100);
				g.setColor(0xffffff);
				g.fillRect(0, 40, 60, 80);
				g.setAlpha(50);
				g.setColor(0xffffff);
				g.fillRect(60, 40, 120, 80);
				
				g.drawImage(img, 60, 90, Graphics.HCENTER | Graphics.TOP);			
				g.setAlpha(100);
				g.setColor(0x000000);
				g.fillRect(0, 80, 60, 120);
				g.setAlpha(50);
				g.setColor(0x000000);
				g.fillRect(60, 80, 120, 120);
				g.setAlpha(0);
				break;
		}
	}
	
	public boolean keyNotify(int type, int key){
		if(type == EventQueue.KEY_PRESSED){
			count++;
			repaint();
			return true;
		}
		return false;
	}

}
