import java.io.IOException;

import org.kwis.msp.lcdui.*;

public class ImageCard extends Card {

	private boolean isPlay;
	Image gifImage;
	Image pngImage;
	Image bmpImage;

	ImageObserver imgO = new ImageObserver(){
		public void notify(Image img, int status) {
			if(status == ImageObserver.FRAME_END){
				repaint();
			}else if(status == ImageObserver.IMAGE_END){
				//repaint();
			}	
		}
	};

	public ImageCard(){
		super();
		
		isPlay = false;
		try {
			gifImage = Image.loadImage("image.gif", imgO);
			pngImage = Image.createImage("image.png");
			bmpImage = Image.createImage("image.bmp");
		} catch (IOException e) {
		}
	}

	protected void paint(Graphics g) {
		g.setColor(0x000000);
		g.fillRect(0, 0, getWidth(), getHeight());
		g.drawImage(gifImage, 0, 0, Graphics.LEFT | Graphics.TOP);
		g.drawImage(pngImage, 0, 40, Graphics.LEFT | Graphics.TOP);
		g.drawImage(bmpImage, 0, 80, Graphics.LEFT | Graphics.TOP);
	}
	
	public boolean keyNotify(int type, int key){
		if(type == EventQueue.KEY_PRESSED){
			if(!isPlay) gifImage.play(imgO);
			else gifImage.stop();
			isPlay = !isPlay;
			return true;
		}
		return false;
	}

}
